GDAL

Macros | Typedefs | Functions
gdal_vrt.h File Reference

Public (C callable) entry points for virtual GDAL dataset objects. More...

`#include "cpl_error.h"`
`#include "cpl_minixml.h"`
`#include "cpl_port.h"`
`#include "gdal.h"`

Go to the source code of this file.

## Macros
#define | VRT_NODATA_UNSET -1234.56
| Special value to indicate that nodata is not set.

## Typedefs
typedef CPLErr(* | VRTImageReadFunc) (void *hCBData, int nXOff, int nYOff, int nXSize, int nYSize, void *pData)
| Type for a function that returns the pixel data in a provided window.
typedef void * | VRTDatasetH
| Opaque type for a VRT dataset.
typedef void * | VRTSourcedRasterBandH
| Opaque type for a VRT sourced raster band.

## Functions
VRTDatasetH | VRTCreate (int, int)
void | VRTFlushCache (VRTDatasetH)
CPLXMLNode * | VRTSerializeToXML (VRTDatasetH, const char *)
int | VRTAddBand (VRTDatasetH, GDALDataType, char **)
CPLErr | VRTAddSource (VRTSourcedRasterBandH, VRTSourceH)
CPLErr | VRTAddSimpleSource (VRTSourcedRasterBandH, GDALRasterBandH, int, int, int, int, int, int, int, int, const char *, double)
CPLErr | VRTAddComplexSource (VRTSourcedRasterBandH, GDALRasterBandH, int, int, int, int, int, int, int, int, double, double, double)
CPLErr | VRTAddFuncSource (VRTSourcedRasterBandH, VRTImageReadFunc, void *, double)

## Detailed Description

Public (C callable) entry points for virtual GDAL dataset objects.

## Function Documentation

## ◆ VRTAddBand()

int VRTAddBand | ( | VRTDatasetH | hDataset,
|  | GDALDataType | eType,
|  | char ** | papszOptions
| ) |  |

See also
  VRTDataset::VRTAddBand().

Note
  The return type of this function is int, but the actual values returned are of type CPLErr.

## ◆ VRTAddComplexSource()

CPLErr VRTAddComplexSource | ( | VRTSourcedRasterBandH | hVRTBand,
|  | GDALRasterBandH | hSrcBand,
|  | int | nSrcXOff,
|  | int | nSrcYOff,
|  | int | nSrcXSize,
|  | int | nSrcYSize,
|  | int | nDstXOff,
|  | int | nDstYOff,
|  | int | nDstXSize,
|  | int | nDstYSize,
|  | double | dfScaleOff,
|  | double | dfScaleRatio,
|  | double | dfNoDataValue
| ) |  |

See also
  VRTSourcedRasterBand::AddComplexSource().

## ◆ VRTAddFuncSource()

CPLErr VRTAddFuncSource | ( | VRTSourcedRasterBandH | hVRTBand,
|  | VRTImageReadFunc | pfnReadFunc,
|  | void * | pCBData,
|  | double | dfNoDataValue
| ) |  |

See also
  VRTSourcedRasterBand::AddFuncSource().

## ◆ VRTAddSimpleSource()

CPLErr VRTAddSimpleSource | ( | VRTSourcedRasterBandH | hVRTBand,
|  | GDALRasterBandH | hSrcBand,
|  | int | nSrcXOff,
|  | int | nSrcYOff,
|  | int | nSrcXSize,
|  | int | nSrcYSize,
|  | int | nDstXOff,
|  | int | nDstYOff,
|  | int | nDstXSize,
|  | int | nDstYSize,
|  | const char * | pszResampling,
|  | double | dfNoDataValue
| ) |  |

See also
  VRTSourcedRasterBand::AddSimpleSource().

## ◆ VRTAddSource()

CPLErr VRTAddSource | ( | VRTSourcedRasterBandH | hVRTBand,
|  | VRTSourceH | hNewSource
| ) |  |

See also
  VRTSourcedRasterBand::AddSource().

## ◆ VRTCreate()

VRTDatasetH VRTCreate | ( | int | nXSize,
|  | int | nYSize
| ) |  |

See also
  VRTDataset::VRTDataset()

## ◆ VRTFlushCache()

void VRTFlushCache | ( | VRTDatasetH | hDataset | ) |

See also
  VRTDataset::FlushCache(bool bAtClosing)

## ◆ VRTSerializeToXML()

CPLXMLNode * VRTSerializeToXML | ( | VRTDatasetH | hDataset,
|  | const char * | pszVRTPath
| ) |  |

See also
  VRTDataset::SerializeToXML()